<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/tabs/list-products"></ion-back-button>
    </ion-buttons>
    <ion-title>Edit Product</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="editForm" (ngSubmit)="onSubmit()">
    <ion-item>
      <ion-label position="floating">Nombre</ion-label>
      <ion-input formControlName="name" type="text" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Descripción</ion-label>
      <ion-textarea formControlName="description" placeholder="Escriba descripción del producto..."></ion-textarea>
    </ion-item>
    <ion-item>
      <ion-label>Cantidad</ion-label>
      <ion-input formControlName="quantity" placeholder="" type="number" min="1" step="1"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Precio</ion-label>
      <ion-input formControlName="price" placeholder="1.00 €" type="number" min="0" step="0.01"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Calificación</ion-label>
      <ion-input formControlName="rating" placeholder="10/10" type="number" min="0" max="10"></ion-input>
    </ion-item>
    <ion-button type="submit" expand="block" color="primary">Update</ion-button>
  </form>
</ion-content>

<ion-tabs>

  <ion-tab-bar slot="bottom">

    <ion-tab-button tab="create-product">
      <ion-icon name="bag-add-outline"></ion-icon>
      <ion-label>Añadir Producto</ion-label>
    </ion-tab-button>
    
    <ion-tab-button tab="list-products">
      <ion-icon name="cart-outline"></ion-icon>
      <ion-label>Listado Productos</ion-label>
    </ion-tab-button>

    <ion-tab-button (click)="logout()">
      <ion-icon name="log-out-outline"></ion-icon>
      <ion-label>LogOut</ion-label>
    </ion-tab-button>

  </ion-tab-bar>

</ion-tabs>
